## ev-view-presentation

ev-view-presentation

## Synopsis

                        EvViewPresentation;
                        EvViewPresentationClass;
    GtkWidget *         ev_view_presentation_new            (EvDocument *document,
                                                             guint current_page,
                                                             guint rotation);
    guint               ev_view_presentation_get_current_page
                                                            (EvViewPresentation *pview);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----EvViewPresentation

## Implemented Interfaces

EvViewPresentation implements AtkImplementorIface and GtkBuildable.

## Properties

      "current-page"             guint                 : Write / Construct Only
      "document"                 EvDocument*           : Write / Construct Only
      "rotation"                 guint                 : Write / Construct Only

## Signals

      "change-page"                                    : Run Last / Action
      "finished"                                       : Run Last / Action

## Description

## Details

### EvViewPresentation

    typedef struct _EvViewPresentation EvViewPresentation;

### EvViewPresentationClass

    typedef struct _EvViewPresentationClass EvViewPresentationClass;

### ev_view_presentation_new ()

    GtkWidget *         ev_view_presentation_new            (EvDocument *document,
                                                             guint current_page,
                                                             guint rotation);

### ev_view_presentation_get_current_page ()

    guint               ev_view_presentation_get_current_page
                                                            (EvViewPresentation *pview);

## Property Details

### The `"current-page"` property

      "current-page"             guint                 : Write / Construct Only

The current page.

Default value: 0

### The `"document"` property

      "document"                 EvDocument*           : Write / Construct Only

Document.

### The `"rotation"` property

      "rotation"                 guint                 : Write / Construct Only

Current rotation angle.

Allowed values: <= 360

Default value: 0

## Signal Details

### The `"change-page"` signal

    void                user_function                      (EvViewPresentation *evviewpresentation,
                                                            GtkScrollType       arg1,
                                                            gpointer            user_data)               : Run Last / Action

### The `"finished"` signal

    void                user_function                      (EvViewPresentation *evviewpresentation,
                                                            gpointer            user_data)               : Run Last / Action